package com.hz.pm.api.expert.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-02-22
 */
@Data
@TableName("nd_expert_user_full_info")
@ApiModel(value = "NdExpertUserFullInfo对象")
public class ExpertUserFullInfoV1 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 信创用户ID
     */
    private String mhUserId;

    /**
     * 专家编号
     */
    private String mhExpertNo;

    /**
     * 是否是浙政钉用户
     */
    private Boolean isZwddUser;

    /**
     * 手机号
     */
    private String phoneNo;

    /**
     * 性别
     */
    private String gender;

    /**
     * 专家姓名
     */
    private String expertName;

    /**
     * 头像
     */
    private String avatarFile;

    private String idCard;

    private String idCardFile;

    private String officePhone;

    private String wechatOpenId;

    private String bankNo;

    private String bank;

    private String email;

    /**
     * 企业ID
     */
    private String mhCompanyId;

    /**
     * 所在单位
     */
    private String unit;

    /**
     * 单位性质
     */
    private String unitType;

    /**
     * 通讯地址
     */
    private String address;

    /**
     * 1:绿码 2:黄码 3:红码
     */
    private Integer star;

    /**
     * 学校及专业
     */
    private String schoolMajor;

    /**
     * 毕业时间
     */
    private LocalDate graduatedAt;

    /**
     * 技术职称及评定时间
     */
    private String academicTitle;

    /**
     * 毕业证书
     */
    private String graduationCertFile;

    /**
     * 学位证书
     */
    private String degreeCertFile;

    /**
     * 开始工作时间
     */
    private LocalDate startWorkAt;

    /**
     * 经历
     */
    private String experience;

    /**
     * 政治面貌
     */
    private String political;

    /**
     * 籍贯
     */
    private String hometown;
    /**
     * 民族
     */
    private String nationality;
    /**
     * 出生日期
     */
    private LocalDate birthday;

    /**
     * 入库时间
     */
    private LocalDateTime inPutTime;

    /**
     * 是否入库
     */
    private String isPut;

    /**
     * 发证日期
     */
    private LocalDateTime awardCertDate;

    private String mhCreateBy;

    private LocalDateTime mhCreateOn;

    /**
     * 专业技术资格
     */
    private String majorCredentials;

    /**
     * 信创技术资格
     */
    private String itaicCredentials;

    /**
     * 专家来源
     */
    private String expertSource;

    /**
     * 其他附件
     */
    private String otherFile;

    /**
     * 专家推荐表
     */
    private String recommendFile;

    /**
     * 社保记录
     */
    private String socialInsureFile;

}
