package com.hz.pm.api.external.model.dto;

import cn.hutool.core.collection.CollUtil;
import lombok.Data;

import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * MhTechExpertDTO
 * </p>
 *
 * @author WendyYang
 * @since 22:59 2023/12/20
 */
@Data
public class MhTechExpertDTO {

    /**
     * 主键ID
     */
    private String id;
    /**
     * 专家编号
     */
    private String expertNo;
    /**
     * 姓名
     */
    private String name;
    /**
     * 性别
     */
    private String gender;
    /**
     * 生日
     */
    private Long birthday;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 政治面貌
     */
    private String political;
    /**
     * 学历
     */
    private String education;
    /**
     * 专家来源
     */
    private String expertCate;
    /**
     * 专家级别
     */
    private String expertLevel;
    /**
     * 企业ID
     */
    private String companyId;
    /**
     * 发证日期
     */
    private String cartDate;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 专业技术资格
     */
    private String credentialsSpeciality;
    /**
     * 信创技术资格
     */
    private String credentialsTechnology;
    /**
     * 学位证书
     */
    private String fileDegree;
    /**
     * 学历证书
     */
    private String fileDiploma;
    /**
     * 专家身份证
     */
    private String fileIdCard;
    /**
     * 其他附件
     */
    private String fileOther;
    /**
     * 专家照片
     */
    private String filePhoto;
    /**
     * 专家推荐表
     */
    private String fileRecommend;
    /**
     * 社保记录
     */
    private String fileSocial;
    /**
     * 微信公众号openId
     */
    private String openId;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 入库时间
     */
    private String inPutTime;
    /**
     * 是否入库
     */
    private String isPut;
    /**
     * 1:绿码 2:黄码 3:红码
     */
    private Integer star;
    /**
     * 信创工作相关经验
     */
    private String textExperience;
    /**
     * 信息化相关简历
     */
    private String textNotes;
    /**
     * 专业特长
     */
    private String skills;


    public static void main(String[] args) {
        List<String> collect = Arrays.stream(MhReviewExpertDTO.class.getDeclaredFields()).map(w -> w.getName()).sorted().collect(Collectors.toList());
        List<String> collect1 = Arrays.stream(MhTechExpertDTO.class.getDeclaredFields()).map(w -> w.getName()).sorted().collect(Collectors.toList());

        System.out.println(CollUtil.intersection(collect1, collect));
        System.out.println(CollUtil.subtract(collect1, collect));
        System.out.println(CollUtil.subtract(collect, collect1));

    }

}
