package com.hz.pm.api.meeting.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * MeetingResultUploadReq
 * </p>
 *
 * @author WendyYang
 * @since 15:35 2023/12/18
 */
@Data
public class MeetingResultUploadReq {

    @ApiModelProperty("会议ID")
    @NotNull(message = "会议ID不能为空")
    private Long meetingId;

    @ApiModelProperty("项目关联会议ID")
    @NotNull(message = "项目关联会议ID不能为空")
    private Long meetingProjectId;

    @ApiModelProperty("建设必要性")
    private String buildNecessity;

    @ApiModelProperty("需求合理性")
    private String needRationality;

    @ApiModelProperty("技术方案可行性")
    private String techFeasibility;

    @ApiModelProperty("审核结果：1 通过、0 不通过")
    private Integer reviewResult;

    @ApiModelProperty("其他意见")
    private String otherAdvices;

    @ApiModelProperty("投资测算合理性")
    private String investRationality;

    @ApiModelProperty("建议资金（单位：万元）")
    private BigDecimal suggestedFunding;

}
