package com.hz.pm.api.meta.helper;

import com.hz.pm.api.expert.entity.ExpertUserFullInfo;
import com.hz.pm.api.expert.service.IExpertUserFullInfoService;
import com.hz.pm.api.meta.model.ExpertRegionInfo;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * @author liuxinxin
 * @date 2022/8/30 下午2:17
 * 公共专家相关信息工具类 用于获取专家的一些基础信息
 */
@Component
@RequiredArgsConstructor
public class ExpertUserInfoHelperImpl implements ExpertUserInfoHelper {

    private final IExpertUserFullInfoService iExpertUserFullInfoService;

    /**
     * 获取专家
     *
     * @param expertUserId \
     * @return \
     */
    @Override
    public ExpertUserFullInfo getExpertBasicFullInfo(Long expertUserId) {
        return iExpertUserFullInfoService.getByUserId(expertUserId);
    }

    /**
     * 获取专家层级
     *
     * @param expertUserId \
     * @return \
     */
    @Override
    public ExpertRegionInfo getExpertRegionInfo(Long expertUserId) {
        ExpertUserFullInfo one = getExpertBasicFullInfo(expertUserId);
        Integer regionLevel = one.getRegionLevel();
        String regionCode = one.getRegionCode();
        ExpertRegionInfo expertRegionInfo = new ExpertRegionInfo();
        expertRegionInfo.setRegionCode(regionCode);
        expertRegionInfo.setRegionLevel(regionLevel);
        return expertRegionInfo;
    }

}
