package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hz.pm.api.projectlib.model.entity.Project;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectlib.model.po.ProjectPO;
import com.hz.pm.api.projectlib.model.req.ProjectListReq;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-03
 */
public interface IProjectService extends IService<Project> {

    public List<Long> getAllVersionProjectId(Project project);

    public List<Long> getAllVersionProjectId(Long projectId);

    Project getNewProject(Long projectId);

    Project getNewConstructProject(Long projectId);

    Project getProjectByCode(String projectCode);

    Page<ProjectPO> pageAllWithPermission(Page<ProjectPO> page, ProjectListReq req);

    Page<ProjectPO> pagelibWithPermission(Page<ProjectPO> page, ProjectListReq req);

}
