package com.hz.pm.api.expert;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.google.common.collect.Lists;
import com.hz.pm.api.AppTests;
import com.hz.pm.api.common.constant.RegionConst;
import com.hz.pm.api.dashboard.constant.DashboardConstant;
import com.hz.pm.api.expert.entity.ExpertUserFullInfo;
import com.hz.pm.api.expert.service.IExpertUserFullInfoService;
import com.hz.pm.api.meta.model.entity.ExpertTag;
import com.hz.pm.api.meta.service.IExpertTagService;
import org.apache.commons.lang3.StringUtils;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Classname ExpertTest
 * @Description
 * @Date 2023/11/24 9:35
 * @Author PoffyZhang
 */
public class ExpertTest extends AppTests {

    @Autowired
    private IExpertTagService expertTagService;

    @Autowired
    private IExpertUserFullInfoService expertUserFullInfoService;

    @Test
    public void test(){
        List<String> lsRegionCodes =  RegionConst.LS_ARR;
        List<ExpertUserFullInfo> experts = expertUserFullInfoService.list(Wrappers.lambdaQuery(ExpertUserFullInfo.class)
                .in(ExpertUserFullInfo::getRegionCode,lsRegionCodes)
                .eq(ExpertUserFullInfo::getExpertAccountStatus,"available"));

        List<ExpertTag> goodAt = expertTagService.list(Wrappers.lambdaQuery(ExpertTag.class));
        Map<Long, List<ExpertTag>> tagMap = goodAt.stream()
                .collect(Collectors.groupingBy(ExpertTag::getUserId));

        String networkCode = "1030000";
        String xinchuangCode = "2040000";
        String fanganCode = "2030000";
        String jishuCode = "2010000";
        String dangzhengCode = "1020000";
        String ruanyingCode = "2020000";
        String caiwuCode = "5600000";
        List<String> specialTags = Lists.newArrayList(networkCode,xinchuangCode,fanganCode,jishuCode,
                dangzhengCode,ruanyingCode,caiwuCode);

        List<Long> users = Lists.newArrayList();
        for(ExpertUserFullInfo e : experts) {
            if (tagMap.containsKey(e.getUserId())) {
                List<ExpertTag> expertTags = tagMap.get(e.getUserId());
                Boolean isContain = Boolean.FALSE;
                for (ExpertTag expertTag : expertTags) {
                    if (specialTags.contains(expertTag.getTagCode())) {
                        isContain = Boolean.TRUE;
                    }
                }
                if (!isContain) {
                    users.add(e.getUserId());
                }
            }
        }
        System.out.println(users);
    }

}
