package com.hz.pm.sync;


import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * <p>
 * SynDataTaskApp
 * </p>
 *
 * @author WendyYang
 * @since 10:44 2023/12/12
 */
@SpringBootApplication
@EnableAsync
@MapperScan(SynDataTaskApp.MAPPER_PACKAGES)
@EnableScheduling
@EnableTransactionManagement
@EnableAspectJAutoProxy(exposeProxy = true)
public class SynDataTaskApp {

    protected static final String MAPPER_PACKAGES = "com.hz.pm.sync.**.mapper";

    public static void main(String[] args) {
        SpringApplication.run(SynDataTaskApp.class, args);
    }
}
